Fetch task batch status
curl --request GET \
--url 'https://api.vida.dev/api/v2/tasks/batches/{batchId}?token='import requests
url = "https://api.vida.dev/api/v2/tasks/batches/{batchId}?token="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.vida.dev/api/v2/tasks/batches/{batchId}?token=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"batchId": "f52b1e01-5cbc-483c-9939-3bf7d37e1426",
"status": "processing",
"source": "api/tasks",
"submitted": 2500,
"processed": 1250,
"inserted": 1248,
"rejected": 2,
"errors": [
{
"rowIndex": 14,
"externalTaskId": "lead-14",
"message": "Invalid target"
}
],
"createdAt": 1712345678,
"updatedAt": 1712345700
}Tasks
Fetch task batch status
Fetch the creation status of an asynchronous Task submission. Status records are available for seven days. Possible statuses are queued, processing, canceled, completed, completed_with_errors, and failed. Up to 100 row errors are returned.
GET
/
api
/
v2
/
tasks
/
batches
/
{batchId}
Fetch task batch status
Authorizations
Vida API Token
Path Parameters
Server-generated asynchronous batch UUID
Response
Task batch submission status
Example:
true
Example:
"f52b1e01-5cbc-483c-9939-3bf7d37e1426"
Example:
"processing"
Example:
"api/tasks"
Example:
2500
Example:
1250
Example:
1248
Example:
2
Show child attributes
Show child attributes
Example:
1712345678
Example:
1712345700